Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Definitions
[WinPcap user's manual]

## Data Structures
struct | pcap_addr
| Representation of an interface address, used by pcap_findalldevs(). More...
struct | pcap_file_header
| Header of a libpcap dump file. More...
struct | pcap_if
| Item in a list of interfaces, used by pcap_findalldevs(). More...
struct | pcap_pkthdr
| Header of a packet in the dump file. More...
struct | pcap_stat
| Structure that keeps statistical values on an interface. More...
## Defines
#define | PCAP_VERSION_MAJOR 2
| Major libpcap dump file version.
#define | PCAP_VERSION_MINOR 4
| Minor libpcap dump file version.
#define | PCAP_ERRBUF_SIZE 256
| Size to use when allocating the buffer that contains the libpcap errors.
#define | PCAP_IF_LOOPBACK 0x00000001
| interface is loopback
#define | MODE_CAPT 0
| Capture mode, to be used when calling pcap_setmode().
#define | MODE_STAT 1
| Statistical mode, to be used when calling pcap_setmode().
## Typedefs
typedef int | bpf_int32
| 32-bit integer
typedef u_int | bpf_u_int32
| 32-bit unsigned integer
typedef pcap | pcap_t
| Descriptor of an open capture instance. This structure is opaque to the user, that handles its content through the functions provided by wpcap.dll.
typedef pcap_dumper | pcap_dumper_t
| libpcap savefile descriptor.
typedef pcap_if | pcap_if_t
| Item in a list of interfaces, see pcap_if.
typedef pcap_addr | pcap_addr_t
| Representation of an interface address, see pcap_addr.

## Detailed Description

Definitions for wpcap.dll

## Define Documentation

#define MODE_CAPT 0

| Capture mode, to be used when calling pcap_setmode(). Definition at line 169 of file incs/pcap.h.

#define MODE_STAT 1

| Statistical mode, to be used when calling pcap_setmode(). Definition at line 170 of file incs/pcap.h.

#define PCAP_ERRBUF_SIZE 256

| Size to use when allocating the buffer that contains the libpcap errors. Definition at line 59 of file incs/pcap.h. Referenced by daemon_serviceloop(), daemon_thrdatamain(), fileconf_read(), main(), main_active(), main_passive(), main_startup(), pcap_win32strerror(), rpcap_checkmsg(), rpcap_senderror(), rpcap_thrdatamain_dgram(), rpcap_thrdatamain_stream(), and svc_geterr().

#define PCAP_IF_LOOPBACK 0x00000001

| interface is loopback Definition at line 156 of file incs/pcap.h. Referenced by add_or_find_if().

#define PCAP_VERSION_MAJOR 2

| Major libpcap dump file version. Definition at line 56 of file incs/pcap.h.

#define PCAP_VERSION_MINOR 4

| Minor libpcap dump file version. Definition at line 57 of file incs/pcap.h.

## Typedef Documentation

typedef int bpf_int32

| 32-bit integer Compatibility for systems that have a bpf.h that predates the bpf typedefs for 64-bit support. Definition at line 66 of file incs/pcap.h.

typedef u_int bpf_u_int32

| 32-bit unsigned integer Definition at line 67 of file incs/pcap.h. Referenced by main(), and pcap_open_offline().

typedef struct pcap_addr pcap_addr_t

| Representation of an interface address, see pcap_addr. Definition at line 73 of file incs/pcap.h.

typedef struct pcap_dumper pcap_dumper_t

| libpcap savefile descriptor. Definition at line 71 of file incs/pcap.h. Referenced by main(), and pcap_dump_open().

typedef struct pcap_if pcap_if_t

| Item in a list of interfaces, see pcap_if. Definition at line 72 of file incs/pcap.h.

typedef struct pcap pcap_t

| Descriptor of an open capture instance. This structure is opaque to the user, that handles its content through the functions provided by wpcap.dll. Definition at line 70 of file incs/pcap.h. Referenced by add_or_find_if(), daemon_opensource(), daemon_serviceloop(), daemon_startcapture(), daemon_thrdatamain(), main(), pcap_compile_nopcap(), pcap_open(), pcap_open_dead(), pcap_open_live(), pcap_open_offline(), pcap_opensource_remote(), pcap_stats_ex(), pcap_stats_ex_remote(), rpcap_stats_remote(), rpcap_thrdatamain_dgram(), and rpcap_thrdatamain_stream().

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.